<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head th:replace="plantilla/template :: head">
    <meta charset="UTF-8">
    <title>Inicio</title>
</head>
<body>
<header th:replace="plantilla/template :: header"></header>

<div class="container">

    <div class="card bg-light">
        <div class="card-header bg-dark text-white" th:text="${titulo}"></div>
        <div class="card-body">
            <form th:action="@{/views/vehiculo/edicion}" th:object="${vehiculo}" method="post">
                <div class="form-group row">
                    <label class="col-md-2">Dominio:</label>
                    <input  type="text" th:value="*{patente}" th:name="patente" class="form-control form-control-sm col-md-6" th:id="patente" placeholder="Ingrese patente" required="true">
                    <small class="alert alert-danger" th:if="${#fields.hasErrors('patente')}" th:errors="*{patente}"></small>
                </div>

                <div class="form-group row">
                    <label class="col-md-2" for="vto">Vencimiento:</label>
                    <input type="date" th:value="*{vto}" th:name="vto" class="form-control form-control-sm col-md-6" id="vto" placeholder="Ingrese el vencimiento" required="true">
                    <small></small>
                </div>

                <div class="form-group row">
                    <label class="col-md-2" for="estado">Estado:</label>
                    <select th:field="*{estado}" class="form-control form-control-sm col-md-6" id="estado" required="true">
                        <option value="" disabled="disabled" selected>Seleccionar estado</option>
                        <option value="APTO">APTO</option>
                        <option value="CONDICIONAL">CONDICIONAL</option>
                        <option value="RECHAZADO">RECHAZADO</option>
                    </select>
                    <small></small>
                </div>

                <div class="form-group row">
                    <label class="col-md-2" for="marca">Marca:</label>
                    <select th:field="*{version.modelo.marca}" name="marca" id="marca" class="form-control form-control-sm col-md-6" required="true">
                       <option th:each="mar:${marcas}"
                                th:value="${mar.id}"
                                th:text="${mar.descripcion}"/>
                    </select>
                    <small></small>
                </div>

                <div class="form-group row">
                    <label class="col-md-2" for="modelo">Modelo:</label>
                    <select th:field="*{version.modelo}" name="modelo" id="modelo" class="form-control form-control-sm col-md-6" required="true">
                        <option th:each="mode:${modelos}"
                                th:value="${mode.id}"
                                th:text="${mode.descripcion}" />
                    </select>
                    <small></small>
                </div>

                <div class="form-group row">
                    <label class="col-md-2">Version:</label>
                    <select th:value="*{version}" th:name="versionId" th:id="versionId" class="form-control form-control-sm col-md-6" required="true">
                        <option th:each="version:${versiones}"
                                th:value="${version.id}"
                                th:text="${version.descripcion}" />
                    </select>
                    <small></small>
                </div>


                <div class="form-group row">
                    <label class="col-md-2" for="nombre">Nombre:</label>
                    <input type="text" th:value="*{persona.nombre}" th:name="nombre" class="form-control form-control-sm col-md-6" id="nombre" placeholder="Nombre del propietario" required="true">
                    <small></small>
                </div>
                <div class="form-group row">
                    <label class = "col-md-2" for="apellido">Apellido: </label>
                    <input type="text" th:value="*{persona.apellido}" th:name="apellido" class="form-control form-control-sm col-md-6" id="apellido" placeholder="Apellido del propietario" required="true">
                    <small></small>
                </div>
                <div class="form-group row">
                    <label class = "col-md-2" for="dni">Documento: </label>
                    <input type="text" th:value="*{persona.dni}" th:name="dni" class="form-control form-control-sm col-md-6" id="dni" placeholder="Documento del propietario" required="true">
                    <small></small>
                </div>
                <div class="form-group row">
                    <label class = "col-md-2" for="correo">Correo electrónico: </label>
                    <input type="email" th:value="*{persona.correo}" th:name="correo" class="form-control form-control-sm col-md-6" id="correo" placeholder="Correo electronico del propietario" required="true">
                    <small></small>
                </div>
                <div class="form-group row">
                    <label class = "col-md-2">Teléfono: </label>
                    <input type="number" th:value="*{persona.telefono}" th:name="telefono" class="form-control form-control-sm col-md-6" th:id="telefono" placeholder="Telefono del propietario" required="true">
                    <small class="alert alert-danger" th:if="${#fields.hasErrors('persona.telefono')}" th:errors="*{telefono}"></small>
                </div>


                <div class="card-footer">
                    <input type="submit" class="btn btn-primary btn-sm" value="Guardar"/>
                </div>
            </form>
        </div>
    </div>
</div>
<script th:src="@{/js/jquery.min.js}"></script>

<script th:inline="javascript">
	/* Variable Javascript que guarda el contextPath para formar la URL a la cual haremos la peticion*/
	var contextPath = "http://localhost:8080/views/inspeccion/buscarPorMarca";
	console.log(contextPath);

	$('#marca').change(
			function() {
				$.getJSON(contextPath,
								{
									idMarca : $(this).val(),
									ajax : 'true'
								},
								function(data) {
									var html = '<option value="">Seleccione Modelo</option>';
									var len = data.length;
									for (var i = 0; i < len; i++) {
										html += '<option value="' + data[i].id + '">'
												+ data[i].descripcion
												+ '</option>';
									}
									html += '</option>';
									$('#modelo').html(html);
								});
			});


	var contextPathModelo = "http://localhost:8080/views/inspeccion/buscarPorModelo";
	console.log(contextPathModelo);

	$('#modelo').change(
			function() {
				$.getJSON(contextPathModelo,
								{
									idModelo : $(this).val(),
									ajax : 'true'
								},
								function(data) {
									var html = '<option value="">Seleccione Version</option>';
									var len = data.length;
									for (var i = 0; i < len; i++) {
										html += '<option value="' + data[i].id + '">'
												+ data[i].descripcion
												+ '</option>';
									}
									html += '</option>';
									$('#versionId').html(html);
								});
			});
	</script>

<footer th:replace="plantilla/template :: footer"></footer>
</body>
</html>